/*

    配信画面

*/
.font-oswald-200 {
  font-family: "Oswald", sans-serif;
  font-weight: 200;
  font-style: normal;
}
.font-oswald-400 {
  font-family: "Oswald", sans-serif;
  font-weight: 400;
  font-style: normal;
}
.noto-sans-jp-200 {
  font-family: "Noto Sans JP", sans-serif;
  font-optical-sizing: auto;
  font-weight: 200;
  font-style: normal;
}
body {
  background-color: #DDDDEE;
  font-family: "Noto Sans JP", sans-serif;
  font-size: 0.9rem;
  margin: 0;
  overflow-x: hidden;
}
.btn-submit {
  background-color: #10458A;
  color: #f0f0f0;
  border-radius: 0px;
  padding: 5px 20px;
  font-size: 0.9rem;
}
.btn-submit:hover {
  background-color: #0b2e5c;
  color: #f0f0f0;
}
.btn-stream {
  background-color: #10458A;
  color: white;
  font-size: 0.9rem;
}
.btn-stream i {
  color: #FFCC66;
}
#main-col {
  min-height: 100vh;
  display: flex;
  position: relative;
}
#main-col #main-side-col {
  background-color: #1557A1;
  color: #f0f0f0;
  min-height: 100vh;
  padding-left: 15px;
  padding-right: 15px;
}
#main-col #main-side-col .side-logo {
  background-color: white;
  box-shadow: 2px 0px 5px rgba(0, 0, 0, 0.3);
}
#main-col #main-side-col .side-obi {
  background-color: #003366;
  text-align: center;
  padding: 5px 10px;
  box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
}
#main-col #main-side-col h3 {
  margin: 0;
  padding: 0;
  font-family: oswald;
  font-weight: 200;
  font-size: 0.8rem;
  background-color: #10458A;
  border-radius: 8px;
  text-align: center;
  padding-top: 3px;
  padding-bottom: 3px;
  letter-spacing: 1px;
  margin-bottom: 5px;
}
#main-col #main-side-col a {
  color: white;
  text-decoration: none;
}
#main-col #main-side-col a:hover {
  color: #f0f0f0;
}
#main-col #main-side-col .nav-item .nav-link {
  position: relative;
}
#main-col #main-side-col .nav-item .nav-link i {
  color: #FFCC66;
}
#main-col #main-side-col .nav-item .nav-link:hover {
  background-color: #286DB0;
  border-radius: 8px;
}
#main-col #main-side-col .nav-item .nav-link:hover::after {
  font-family: FontAwesome;
  content: "\f0da";
  position: absolute;
  right: 8px;
  opacity: 0.5;
}
#main-col #main-side-col .nav-item ul,
#main-col #main-side-col .nav-item li {
  margin: 0;
  padding: 0;
}
#main-col #main-side-col .nav-item.active .nav-link {
  background-color: #153a5d;
  border-radius: 8px;
}
#main-col #main-side-col .nav-item.active .nav-link::after {
  font-family: FontAwesome;
  content: "\f0da";
  position: absolute;
  right: 8px;
  opacity: 0.5;
}
#main-col #main-content-col {
  flex-grow: 1;
}
#main-col #main-content-col i.fa-folder {
  color: #FFCC66;
}
#main-col #main-content-col i.fa-star {
  color: #FFCC66;
}
#main-col #main-content-col i.fa-calendar {
  color: #FFCC66;
}
#main-col #category-list {
  position: absolute;
  height: 100vh;
  width: 300px;
  top: 0;
  left: 300px;
  opacity: 0.9;
  background-color: white;
  border-right: 1px solid #10458A;
  z-index: 999;
  display: none;
}
#main-col #category-list ul a {
  color: #333;
  display: block;
  border-bottom: 1px solid #ddd;
  font-size: 0.9rem;
}
#main-col #category-list ul a:hover {
  background-color: #77abef;
}
.card-header {
  font-size: 1.2rem;
  font-weight: bold;
  padding: 15px;
}
.table-basic {
  width: 100%;
}
.table-basic th {
  vertical-align: middle;
  font-weight: normal;
  padding: 10px;
  background-color: #ECF0F2;
  text-align: center;
  border-top: 1px solid #ccc;
  border-bottom: 1px solid #ccc;
}
.table-basic td {
  vertical-align: middle;
  padding: 10px;
  border-right: 0;
  border-bottom: 1px solid #ccc;
}
.no-content {
  font-size: 1rem;
  color: #666;
  padding: 30px 0;
  text-align: center ;
}
.pagination {
  display: flex;
  padding: 10px;
  flex-wrap: wrap;
  align-items: center;
}
.pagination button {
  border: 1px solid #aaa;
  border-radius: 2px;
  padding: 5px 15px;
  background-color: white;
  cursor: pointer;
}
.pagination button:hover {
  background-color: #10458A;
  color: white;
}
.pagination button:disabled {
  background-color: #ddd;
  color: #999;
  cursor: not-allowed;
}
.pagination button:disabled:hover {
  border: 1px solid #aaa;
  background-color: #ddd !important;
}
.pagination button.current-page {
  background-color: #a4c7f5;
  color: black;
}
/*

    おもにタブレット・モバイル表示時の調整

*/
#offcanvasMenu {
  background-color: #1557A1;
  color: white;
  width: 280px;
}
#offcanvasMenu .btn-offcanvas-close {
  margin-right: 0;
  margin-left: auto;
  font-size: 1rem;
  border-radius: 1px;
  width: 30px;
  height: 30px;
  line-height: 30px;
  color: white;
  background-color: #1b6fce;
  border: none;
}
#offcanvasMenu .offcanvas-body {
  color: white;
}
#offcanvasMenu .offcanvas-body a {
  color: white;
  text-decoration: none;
}
#offcanvasMenu .offcanvas-body h3 {
  margin: 0;
  padding: 0;
  font-family: oswald;
  font-weight: 200;
  font-size: 0.8rem;
  background-color: #10458A;
  border-radius: 8px;
  text-align: center;
  padding-top: 3px;
  padding-bottom: 3px;
  letter-spacing: 1px;
  margin-bottom: 5px;
}
#offcanvasMenu .offcanvas-body .nav-item .nav-link {
  position: relative;
  padding: 10px 2px;
  color: white;
}
#offcanvasMenu .offcanvas-body .nav-item .nav-link i {
  color: #FFCC66;
}
#offcanvasMenu .offcanvas-body .nav-item .nav-link:hover {
  background-color: #286DB0;
  border-radius: 8px;
}
#offcanvasMenu .offcanvas-body .nav-item .nav-link:hover::after {
  font-family: FontAwesome;
  content: "\f0da";
  position: absolute;
  right: 8px;
  opacity: 0.5;
}
#offcanvasMenu .offcanvas-body .nav-item ul,
#offcanvasMenu .offcanvas-body .nav-item li {
  margin: 0;
  padding: 0;
}
#offcanvasMenu .offcanvas-body .nav-item.active .nav-link {
  background-color: #153a5d;
  border-radius: 8px;
}
#offcanvasMenu .offcanvas-body .nav-item.active .nav-link::after {
  font-family: FontAwesome;
  content: "\f0da";
  position: absolute;
  right: 8px;
  opacity: 0.5;
}
.page-user-login .card-login {
  width: 350px;
}
.page-user-login .obi {
  background-color: #10458A;
  text-align: center;
  color: white;
  font-size: 0.9rem;
}
.page-user-login .obi strong {
  font-weight: 700;
}
.page-user-login .obi label {
  font-family: oswald;
  font-weight: 600;
  font-style: italic;
}
.page .item-line {
  width: 100%;
  padding: 10px;
  border-top: 1px solid #ddd;
}
.page .item-line .item-line-col {
  display: flex;
  margin-bottom: 10px;
}
.page .item-line .item-line-col .item-line-thumb {
  width: 240px;
  height: 135px;
  overflow: hidden;
  position: relative;
}
.page .item-line .item-line-col .item-line-thumb img {
  width: 240px;
  border-radius: 10px;
  position: absolute;
  top: 0px;
  left: 0px;
}
.page .item-line .item-line-col .item-line-thumb .play-icon {
  top: 0px;
  left: 0px;
}
.page .item-line .item-line-col .item-line-thumb .play-icon:hover {
  opacity: 0.5;
}
.page .item-line .item-line-col .item-line-info {
  padding-left: 15px;
}
.page .item-line .item-line-col .item-line-info .item-line-title {
  font-size: 1.7rem;
}
.page .item-line .item-line-col .item-line-info .item-line-title a {
  text-decoration: none;
  color: #10458A;
}
.page .item-line .item-line-col .item-line-info .item-line-date {
  margin-top: 4px;
  color: gray;
}
.page .item-line .item-line-col .item-line-info .item-line-clock {
  margin-top: 4px;
  color: gray;
}
.page .item-line .item-line-col .item-line-info .item-line-buttons {
  margin-top: 5px;
  display: flex;
}
.page .draft-num {
  font-size: 0.9rem;
  color: #FF6666;
  font-weight: bold;
}
.page .btn-panopt-editor {
  border-radius: 3px;
  font-size: 0.8rem;
  padding: 7px 0px;
  width: 100px;
  border: 1px solid #ddd;
  box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.3);
  color: #10458A;
}
.page .btn-panopt-editor:hover {
  background-color: #e9f1fc;
  border: 1px solid #77abef;
}
.page .btn-panopto-state-switch {
  background-color: #ddd;
  margin-left: auto;
  margin-right: auto;
  padding: 3px 3px;
  border-radius: 6px;
  font-size: 0.8rem;
  max-width: 210px;
}
.page .btn-panopto-state-switch label {
  display: inline-block;
  cursor: pointer;
  width: 100px;
  text-align: center;
  padding: 7px 0px;
  border-radius: 5px;
  background-color: #ddd;
}
.page .btn-panopto-state-switch label input[type="radio"] {
  display: none;
  /* ラジオボタンを非表示にする */
}
.page .btn-panopto-state-switch label:has(input[type="radio"]:checked) {
  background-color: white;
  /* チェックされた方だけ色を変える */
  box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.3);
  color: #10458A;
}
.page .btn-panopto-state-switch label:has(input[type="radio"]:checked):hover {
  background-color: #e9f1fc;
}
.page .condi-col {
  margin: 20px;
  display: flex;
}
.page .condi-col .condi-form {
  border: 1px solid #ccc;
  padding: 10px;
  border-radius: 3px;
  padding: 20px;
  position: relative;
}
.page .condi-col .condi-form .table-condi {
  width: 100%;
}
.page .condi-col .condi-form .table-condi input[type="date"] {
  display: inline-block;
  width: 200px;
}
.page .condi-col .condi-form .table-condi td,
.page .condi-col .condi-form .table-condi th {
  padding-top: 5px;
  padding-bottom: 5px;
}
.page .condi-col .condi-form .table-condi input[name="keyword"] {
  display: inline-block;
  width: 200px;
}
.page .condi-col .condi-form .table-condi select[name="subject_code"] {
  display: inline-block;
  width: 400px;
}
.page .condi-col .condi-batch {
  margin-left: 10px;
  border: 1px solid #ccc;
  padding: 10px;
  border-radius: 3px;
  padding: 20px;
  position: relative;
}
.page .condi-col .condi-batch .btn-state-batch {
  border-radius: 4px;
  font-size: 0.9rem;
  padding: 7px 15px;
  width: 100%;
  border: 1px solid #ddd;
  box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.3);
  color: #10458A;
}
.page .condi-col .condi-batch .btn-state-batch:hover {
  background-color: #e9f1fc;
  border: 1px solid #77abef;
}
.page .condi-col .condi-batch .btn-state-batch:disabled {
  background-color: #eee;
  color: #aaa;
  border: 1px solid #ddd;
  box-shadow: none;
  cursor: not-allowed;
}
.page .condi-col .legend {
  display: inline-block;
  background-color: white;
  position: absolute;
  top: -10px;
  left: 10px;
  font-size: 0.9rem;
}
.page .condi-col .condi-batch-waku {
  width: 220px;
}
.page .condi-col .condi-batch-note {
  margin-top: 5px;
  font-size: 0.8rem;
}
.page .category-view-switch-btn a {
  text-decoration: none;
  display: inline-block;
  width: 180px;
  padding: 8px 0;
  text-align: center;
  color: #333;
  border-top: 1px solid #10458A;
  border-bottom: 1px solid #10458A;
}
.page .category-view-switch-btn a:first-child {
  border-top-left-radius: 3px;
  border-bottom-left-radius: 3px;
  border-top-right-radius: 0px;
  /* 最初のラベルの右上角を丸めない */
  border-bottom-right-radius: 0px;
  /* 最初のラベルの右下角を丸めない */
  border-left: 1px solid #10458A;
}
.page .category-view-switch-btn a:last-child {
  border-top-right-radius: 3px;
  border-bottom-right-radius: 3px;
  border-top-left-radius: 0px;
  /* 最後のラベルの左上角を丸めない */
  border-bottom-left-radius: 0px;
  /* 最後のラベルの左下角を丸めない */
  border-right: 1px solid #10458A;
}
.page .category-view-switch-btn a.active {
  background-color: #10458A;
  color: white;
}
.page .lecturer-info-col {
  border: 1px solid gray;
  margin-right: 5px;
}
.page .lecturer-info-col .lecturer-info-key {
  padding: 5px 15px;
  background-color: #eee;
}
.page .lecturer-info-col .lecturer-info-value {
  padding: 5px 15px;
}
/**
    ダッシュボード
*/
.page-user-dashboard .dashboard-label {
  display: inline-block;
  background-color: #10458A;
  color: white;
  font-size: 0.8rem;
  padding-left: 10px;
  padding-right: 10px;
}
.page-user-dashboard .dashboard-label-draft {
  background-color: brown;
}
.page-user-dashboard .dashboard-value {
  color: #10458A;
  text-align: right;
  font-size: 2rem;
  font-weight: bold;
}
.page-user-dashboard .dashboard-value .unit {
  font-size: 0.8rem;
}
.page-user-dashboard .dashboard-value-draft {
  color: brown;
}
.page-user-dashboard #today-schedule-area {
  max-height: 400px;
  overflow: auto;
}
.page-user-dashboard .schedule-status-done {
  background-color: #00CB00;
  display: inline-block;
  border-radius: 2px;
  padding: 2px 4px;
  font-size: 0.8rem;
  color: white;
}
.page-user-dashboard .schedule-status-reserve {
  background-color: #00BFFF;
  display: inline-block;
  border-radius: 3px;
  padding: 2px 4px;
  font-size: 0.8rem;
  color: white;
}
.page-user-dashboard .schedule-status-unreserve {
  background-color: #CCCCCC;
  display: inline-block;
  border-radius: 2px;
  padding: 2px 4px;
  font-size: 0.8rem;
  color: white;
}
.page-user-dashboard .item-col,
.page-user-category-list .item-col,
.page-user-category-event .item-col,
.page-user-favorite .item-col {
  width: 240px;
  margin-right: 10px;
  margin-bottom: 20px;
  border: 1px solid #ddd;
  box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1);
}
.page-user-dashboard .item-col a,
.page-user-category-list .item-col a,
.page-user-category-event .item-col a,
.page-user-favorite .item-col a {
  text-decoration: none;
}
.page-user-dashboard .item-col .item-img,
.page-user-category-list .item-col .item-img,
.page-user-category-event .item-col .item-img,
.page-user-favorite .item-col .item-img {
  position: relative;
  width: 240px;
  height: 135px;
}
.page-user-dashboard .item-col .item-img img,
.page-user-category-list .item-col .item-img img,
.page-user-category-event .item-col .item-img img,
.page-user-favorite .item-col .item-img img {
  position: absolute;
  width: 238px;
  height: 135px;
  left: 0;
  top: 0;
}
.page-user-dashboard .item-col .item-img .play-icon:hover,
.page-user-category-list .item-col .item-img .play-icon:hover,
.page-user-category-event .item-col .item-img .play-icon:hover,
.page-user-favorite .item-col .item-img .play-icon:hover {
  opacity: 0.5;
}
.page-user-dashboard .item-col .item-date,
.page-user-category-list .item-col .item-date,
.page-user-category-event .item-col .item-date,
.page-user-favorite .item-col .item-date {
  font-size: 0.9rem;
  font-weight: bold;
  background-color: #10458A;
  color: white;
  padding: 6px 9px;
}
.page-user-dashboard .item-col .item-category,
.page-user-category-list .item-col .item-category,
.page-user-category-event .item-col .item-category,
.page-user-favorite .item-col .item-category {
  margin-top: 4px;
  font-size: 0.9rem;
  padding: 1px 9px;
  color: #333;
}
.page-user-dashboard .item-col .item-title,
.page-user-category-list .item-col .item-title,
.page-user-category-event .item-col .item-title,
.page-user-favorite .item-col .item-title {
  font-size: 0.9rem;
  padding: 1px 9px;
  color: #333;
}
.page-user-dashboard .item-col .item-suffix,
.page-user-category-list .item-col .item-suffix,
.page-user-category-event .item-col .item-suffix,
.page-user-favorite .item-col .item-suffix {
  font-size: 0.8rem;
  color: #666;
  text-align: right;
  padding: 6px 9px;
}
.page-user-favorite .favorite-item,
.page-user-category-index .favorite-item,
.page-user-category-all .favorite-item {
  text-decoration: none;
  display: inline-block;
  width: 250px;
  padding: 15px;
  text-align: center;
  margin-right: 10px;
  margin-bottom: 10px;
  color: #333;
  border: 1px solid #ddd;
  border-radius: 2px;
}
.page-user-favorite .favorite-item .subject-title,
.page-user-category-index .favorite-item .subject-title,
.page-user-category-all .favorite-item .subject-title {
  font-size: 1.1rem;
  font-weight: bold;
}
.page-user-favorite .favorite-item .subject-content-num,
.page-user-category-index .favorite-item .subject-content-num,
.page-user-category-all .favorite-item .subject-content-num {
  font-size: 0.8rem;
}
.page-user-favorite .favorite-item:hover,
.page-user-category-index .favorite-item:hover,
.page-user-category-all .favorite-item:hover {
  background-color: #eee;
}
@media (min-width: 992px) {
  .sidebar {
    width: 300px;
    flex-shrink: 0;
  }
}
/* 縦向き 端末の場合 */
@media (orientation: portrait) {
  .item-col {
    zoom: 0.8;
  }
  .favorite-item {
    zoom: 0.95;
  }
}
@media (orientation: portrait) and (width <= 450px) {
  .card-body h4 {
    font-size: 1.1rem;
  }
  .card-body h5 {
    font-size: 1rem;
  }
  .card-title {
    font-size: 1.1rem;
  }
  .favorite-item {
    width: 100% !important;
    zoom: 1;
  }
}
